exports.up = async (knex) => {
  await knex.schema.alterTable('livestream', (table) => {
    table.renameColumn('state', 'state_old');
  });

  await knex.schema.alterTable('livestream', (table) => {
    table.enum('state', ['pending', 'ready', 'live', 'finished', 'archived']).notNull().default('pending');
  });

  await knex.raw("update livestream set state = state_old where id=id");

  await knex.schema.alterTable("livestream", (table) => {
    table.dropColumn("state_old");
  });
};

exports.down = async (knex) => {
  await knex.schema.alterTable('livestream', (table) => {
    table.renameColumn('state', 'state_old');
  });

  await knex.schema.alterTable('livestream', (table) => {
    table.enum('state', ['pending', 'live', 'finished', 'archived']).notNull().default('pending');
  });

  await knex.raw("update livestream set state = state_old where id=id");

  await knex.schema.alterTable("livestream", (table) => {
    table.dropColumn("state_old");
  });
};
